/* VISUAL */

.visual-banner{display: flex;flex-direction: column;align-items: center; position : absolute; z-index: 10;right : 120px; bottom : 80px;gap : 80px;}
.benefit-rotate-btn{display:flex;flex-direction:column;align-items:center;justify-content:center;opacity:0;transform:translateX(100px);transition:1.2s;}
.benefit-rotate-btn > p{font-size:16px;line-height:1.2em;font-weight:700;color:#003c3c;}
.obenefitpen-rotate-btn > p b{font-size : 24px;}
.benefit-rotate-btn::after{position:absolute;content:'';width:130px;height:130px;background:url(../images/main/benefit-rotate-text.png)no-repeat center / contain;animation:rotate-text 8s infinite linear;}
.on .benefit-rotate-btn{transform:translateX(0);opacity:1;}

.open-rotate-btn{display:flex;flex-direction:column;align-items:center;justify-content:center;width:90px;height:90px;opacity:0;transform:translateX(100px);transition:1.2s; background: #fff; border-radius : 50%; padding-top: 10px;}
.open-rotate-btn > p{font-size:16px;line-height:1.2em;font-weight:700;color:#003c3c;}
.open-rotate-btn > p b{font-size : 24px;}
.open-rotate-btn::after{position:absolute;content:'';width:143px;height:143px;background:url(../images/main/open-rotate-text-new.png)no-repeat center / contain;animation:rotate-text 8s infinite linear;}
.on .open-rotate-btn{transform:translateX(0);opacity:1;}
@keyframes rotate-text{100%{transform:rotate(360deg);}}

.visual-bg{position:absolute;left:0;top:0;width:100%;height:100%;overflow:hidden;z-index:-1;}
.visual-bg > img{width:100%;height:100%;object-fit:cover;object-position:center;transform:scale(1.4);transition:transform 0s 1.2s;}
.on .visual-bg > img{transform:scale(1);transition:transform 4s;}

.visual-inner{display: flex;flex-direction: column;justify-content: start;align-items: center;height : 100%; padding-top: 170px; text-align: center;color : #fff; letter-spacing: -0.033em;}

.visual-tit{font-family: PT; font-size: 50px; font-weight: 400; margin-bottom: 14px;}
.visual-tit b{font-weight: 700;}

.visual-tit > p{opacity: 0; transform: scale(1.5); transition : 1s;}
.on .visual-tit > p:nth-child(1){opacity: 1; transform: scale(1); transition-delay: .4s;}
.on .visual-tit > p:nth-child(2){opacity: 1; transform: scale(1); transition-delay: 1.2s;}

.visual-line{width : 1px;height : 30px; margin-bottom: 15px; background: rgba(255,255,255,0.3); clip-path: inset(0 0 100%); transition :1s}
.on .visual-line{clip-path: inset(0); transition-delay: 1.2s;}

.visual-logo{font-family: Welcome; font-size: 36px; letter-spacing: -0.04em; transform: translateY(100px); opacity: 0; transition : 1s;}
.on .visual-logo{transform: translateY(0); opacity: 1; transition-delay: 1.8s}

.visual-logo > span{display : block; font-size : 24px;padding: 10px 10px 0px; border : 1px solid #fff; line-height: 1em;}

/* schedule */
.main-section-schedule{padding : 0 120px;}
.schedule-bg{position:absolute;left:0;top:0;width:100%;height:100%;overflow:hidden;z-index:-1; background: #e9e6e1;}
.schedule-bg > img{width:100%;height:100%;object-fit:cover;object-position:center;transform:translateY(50%);opacity: 0; transition : 0s 1s;}
.active .schedule-bg > img{opacity: 1; transform:translateY(0);transition:transform 1.6s;}

.sec-small-tit{font-family: trajan-pro-3; font-size: 18px; font-weight: 400; color : #909090; transform: translateY(-100px); opacity: 0; transition : 0s 1s;}
.active .sec-small-tit{transform: translateY(0);opacity: 1; transition : 1s .4s;}

.sec-tit{font-family: trajan-pro-3; font-size: 58px; font-weight: 600; color : #D8C497; transform: translateX(-100px); opacity: 0; transition : 0s 1s;}
.active .sec-tit{transform: translateX(0);opacity: 1; transition : 1s .4s;}

.sec-desc{font-family: PT; font-size: 18px; letter-spacing: -0.06em; color : #333; transform: translateY(100px); opacity: 0; transition : 0s 1s;}
.active .sec-desc{transform: translateY(0);opacity: 1; transition : 1s .4s;}

.schedule-inner{display: flex;justify-content: space-between; width : 100%; max-width: 1600px; margin : 0 auto;height : 100%; padding-top: 150px;;}

.main-section-schedule .sec-tit-box{padding-top: 200px;}
.main-section-schedule .sec-tit{margin-bottom: 10px; color : #045051;}

.schedule-right{display: flex;flex-direction: column;align-items: end;}
.schedule-table{display: grid;grid-template-columns: repeat(12, 1fr); width : 705px; gap : 10px; margin-bottom: 26px; opacity: 0; transform: translateY(-100px); transition : 0s 1s;}
.active .schedule-table{transform: translateY(0); opacity: 1; transition : 1s .4s;}
.schedule-table > li{display: flex;flex-direction: column;align-items: center; justify-content: center; grid-column: span 3; height : 169px; border-radius: 10px; border : 1px solid #989898; transition : background .5s, opacity 1s, transform 1s; opacity: 0; transform: translateY(100px);}
.active .schedule-table > li{transform: translateY(0); opacity: 1; transition : background .5s, opacity 1s calc(var(--i) * 0.1s + 0.4s), transform 1s calc(var(--i) * 0.1s + 0.4s)}

.schedule-table > li:hover{background: #045051;}
.schedule-table > li.wide{grid-column: span 4;}

.schedule-name{font-family: PT; font-weight: 700; font-size: 22px;color : #045051; margin-bottom: 5px;}
.schedule-table > li:hover .schedule-name{color : #D8C497}

.schedule-day{font-family: PT; font-size: 16px; font-weight: 500;}
.schedule-table > li:hover .schedule-day{color : #fff; }

.schedule-btn-box{display: flex; align-items: center; gap : 11px; opacity: 0; transform: translateX(100px); transition : 0s 1s;}
.active .schedule-btn-box{transform: translateX(0); opacity: 1; transition : 1s .4s;}
.schedule-btn-box > a{display: flex;height : 45px;font-weight: 700; font-family: OT;}
.schedule-btn-box > a:nth-child(1) > *{background: #045051; transition : .5s; color : #fff;}
.schedule-btn-box > a:nth-child(2) > *{background: #D8C497; transition : .5s; color :#000; }

.schedule-btn-box > a > p{display: flex;align-items: center;justify-content: center; width : 168px;height : 45px; border-radius: 100px;}
.schedule-btn-box > a > span{display: flex;align-items: center;justify-content: center; width : 45px;height : 45px; border-radius: 100px; transition : .5s;}
.schedule-btn-box > a:hover > span{transform: rotate(180deg);}
.schedule-btn-box > a > span::after{content : ''; position : absolute; width : 1px;height : 15px;}
.schedule-btn-box > a > span::before{content : ''; position : absolute; width : 15px;height : 1px;}

.schedule-btn-box > a:nth-child(1) > span::after,
.schedule-btn-box > a:nth-child(1) > span::before{background: #fff;}

.schedule-btn-box > a:nth-child(2) > span::after,
.schedule-btn-box > a:nth-child(2) > span::before{background: #000;}

/* ARCHI */

.archi-slide{width : 100%;height : 100%;position :relative;}
.archi-container{display: flex; position : absolute; left : 0; top : 0; width : 100%; height : 100%; transition : 1s;z-index: 1}
.t3 .archi-container{transform: translateX(-100%);}

.archi-container > div{width : 100%;height : 100%; flex-shrink: 0;position : relative; }

.archi-bg{width : 100%;height : 100%; position :absolute; overflow: hidden; left : 0;top : 0;}
.archi-bg::after{position : absolute;content : ''; width : 100%;height : 100%; background: linear-gradient(45deg, #000, transparent, #000);left : 0;top : 0; opacity: 0; transition : 0s 1s;}
.active .archi-bg::after{opacity: 1; transition : 2s;}
.archi-bg > img{width : 100%;height : 100%; object-fit: cover; object-position: center 98%;transform: scale(1.4); transition : 0s 1s;}
.active .archi-bg > img{transform: scale(1); transition : 2s;}

.archi-01{background: #000;}
.archi-01-left{display: flex;flex-direction: column;justify-content: end; width :  100%;height : 100%; padding : 0 0 106px 155px; transition : 1s;position : relative;}
.t2 .archi-01-left,
.t3 .archi-01-left{width : calc(100% - 811px)}

.archi-tit-box{transition : 1s;}

.t2 .archi-tit-box,
.t3 .archi-tit-box{opacity: 0;}

.archi-01-right{display: flex; justify-content: center; width : 811px;height : 100%; position : absolute; right : 0; top : 0;padding : 207px 0 127px; transform: translateX(100%); transition : 1s;}
.t2 .archi-01-right,
.t3 .archi-01-right{transform: translateX(0);}

.archi-01-right-inner{display: flex;flex-direction: column; align-items: start;justify-content: space-between; height : 100%;}

.archi-right-tit-box .sec-small-tit{opacity: 0; transform: translateY(-100px);}
.archi-right-tit-box .sec-tit{opacity: 0; transform: translateX(100px);}

.t2 .archi-right-tit-box .sec-small-tit,
.t2 .archi-right-tit-box .sec-tit,
.t3 .archi-right-tit-box .sec-small-tit,
.t3 .archi-right-tit-box .sec-tit{opacity: 1; transform: translateX(0);}

.archi-con{color : #fff; font-family: PT; letter-spacing: -0.04em; transform: translateY(100px); opacity: 0; transition : 1s;}
.t2 .archi-con,
.t3 .archi-con{transform: translateY(0); opacity: 1; transition : 1s 1s;}

.archi-con-tit{font-size: 24px; margin-bottom: 28px;}
.archi-con-desc{font-size: 16px; color : #B5B5B5; line-height: 1.5em;}

.archi-02{display: flex; overflow: hidden;}
.archi-02::after{position :absolute; content : ''; width : 58%;height : 100%; background: #ECE8E6;right : 0;top : 0; z-index: -1;}

.archi-02-left{display: flex;align-items: end;}
.archi-02-right{display: flex;flex-direction: column;align-items: center;justify-content: center; gap : 80px; flex : 1;padding-top: 100px;}


.archi-img{position :relative;overflow: hidden; transition : 1s}
.archi-img-box{overflow: hidden;}
.archi-img img{transform: scale(1.4); transition : 3s}
.t3 .archi-img img{transform: scale(1);}
.archi-img-name{display: flex;justify-content: center; position :relative;height : 18px;padding : 0 16px; font-family: PT; margin-top: 16px; font-size: 15px; font-weight: 500;}
.archi-img-name::after{position : absolute;content : ''; width : 1px;height : 100%; background: #fff;left : 0;top : 0;clip-path: inset(0 0 100%); transition :.5s;}
.archi-img-box .archi-img-name::after{background: #000;}
.t3 .archi-img-name::after{clip-path: inset(0%); transition : .5s 1s}

.archi-img-name::before{position : absolute; content : ''; width : 1px;height : 100%; background: #fff;left : 0;top : 0; clip-path: inset(0 0 100%); transition : .5;}
.archi-img-box .archi-img-name::before{background: #000;}

.t3 .archi-img-name::before{clip-path: inset(0%); left : 100%; transform: translateX(-100%); transition : clip-path .5s 1s, left .5s 1.5s, transform .5s 1.5s}

.archi-img-01 .archi-img-name{position : absolute; right: 43px; bottom : 21px; color : #fff;}

.archi-img-name > span{opacity: 0; transition : .5s;}
.t3 .archi-img-name > span{opacity: 1; transition : .5s 1.5s;}

.archi-img-box{display: flex;flex-direction: column;align-items: end;}

.archi-img-01{transform: translateX(-50%);opacity: 0;}
.archi-img-02{transform: translateX(-50%);opacity: 0;}
.archi-img-03{transform: translateX(-50%);opacity: 0;}

.t3 .archi-img-01{transform: translateX(0%);opacity: 1;}
.t3 .archi-img-02{transform: translateX(0%);opacity: 1; transition-delay: .4s;}
.t3 .archi-img-03{transform: translateX(0%);opacity: 1; transition-delay: .8s;}

/* community */

.community-slide{width : 100%;height : 100%;position :relative;}
.community-container{display: flex; position : absolute; left : 0; top : 0; width : 100%; height : 100%; transition : 1s;z-index: 1}
.t2 .community-container{transform: translateX(-100%);}

.community-container > div{width : 100%;height : 100%; flex-shrink: 0;position : relative; }

.community-bg{width : 100%;height : 100%; position :absolute; overflow: hidden; left : 0;top : 0;}
.community-bg::after{position : absolute;content : ''; width : 100%;height : 100%; background: linear-gradient(45deg, #000, transparent, #000);left : 0;top : 0; opacity: 0; transition : 0s 1s;}
.active .community-bg::after{opacity: 1; transition : 2s;}
.community-bg > img{width : 100%;height : 100%; object-fit: cover; object-position: center;transform: scale(1.4); transition : 0s 1s;}
.active .community-bg > img{transform: scale(1); transition : 2s;}

.community-01{display: flex;flex-direction: column;justify-content: end; width :  100%;height : 100%; padding : 0 0 106px 155px; transition : 1s;position : relative;}

.community-02{display: flex;justify-content: space-between; width : 100%;}

.community-02 .community-tit-box{margin-bottom: 53px;}
.community-02 .sec-small-tit{opacity: 0; transform: translateY(-100px);}
.community-02 .sec-tit{opacity: 0; transform: translateX(100px);}

.t2 .community-02 .sec-small-tit,
.t2 .community-02 .sec-tit{opacity: 1; transform: translateX(0);}

.community-con{color : #171717; font-family: PT; letter-spacing: -0.04em; transform: translateY(100px); opacity: 0; transition : 1s; margin-bottom: 98px;}

.t2 .community-con{transform: translateY(0); opacity: 1; transition : 1s 1s;}

.community-con-tit{font-size: 24px; margin-bottom: 28px;}
.community-con-desc{font-size: 16px; color : #171717; line-height: 1.5em;}

.community-02-left{display: flex;flex-direction: column;justify-content: center; height : 100%; padding-left: 102px; padding-top: 100px;}
.community-img-box{display: flex;gap : 43px;}

.community-img-box > img{opacity: 0; transform: translateY(100px); transition : 1s;}
.t2 .community-img-box > img:nth-child(1){transform: translateY(0); opacity: 1; transition-delay: 1s;}
.t2 .community-img-box > img:nth-child(2){transform: translateY(0); opacity: 1; transition-delay: 1.1s;}
.t2 .community-img-box > img:nth-child(3){transform: translateY(0); opacity: 1; transition-delay: 1.2s;}

.community-02-right{height : 100%; overflow: hidden;}
.community-img-04{width : 100%;height : 100%;object-fit: cover; object-position: center; transform: scale(1.4); transition : 3s;}
.t2 .community-img-04{transform: scale(1);}

/* UNIT */

.unit-bg{width : 100%;height : 100%; position :absolute; overflow: hidden; left : 0;top : 0;z-index: -1;}
.unit-bg > img{width : 100%;height : 100%; object-fit: cover; object-position: center;transform: scale(1.4); transition : 0s 1s;}
.active .unit-bg > img{transform: scale(1); transition : 2s;}

.unit-inner{display: flex;align-items: end;  justify-content: space-between; width : 100%; max-width: 1560px; margin : 0 auto; padding-right: 150px; padding-top: 10px;}

.unit-tit-box .sec-desc{color : #fff;}

.unit-right{display: flex;gap : 15px}

.unit-btn{display: flex;flex-direction: column;position : relative; transition :0s 1s; opacity: 0;}
.unit-btn:hover{z-index: 10;}
.unit-btn-01{background: #fff; transform: translateY(-100px);}
.unit-btn-02{background: #000; transform: translateY(100px);}

.active .unit-btn{transform: translateY(0); opacity: 1; transition : 1s 1s;}

.unit-btn-con{display: flex;flex-direction: column;justify-content: space-between; width : 380px;height : 276px;padding : 50px 0 44px 54px;}
.unit-btn-tit-box{}

.unit-btn-tit{font-family: trajan-pro-3; font-size: 21px;font-weight: 700; margin-bottom: 15px;}
.unit-btn-02 .unit-btn-tit{color : #D8C497}
.unit-btn-desc{font-family: PT; font-size: 16px; line-height: 2em; color : #656565;}
.unit-link{display: flex;gap : 11px; align-items: center;}
.unit-btn-02 .unit-link{color : #fff;}
.unit-link > img{transition : .5s;}
.unit-btn-02 .unit-link > img{filter: invert(1);}
.unit-btn:hover .unit-link > img{transform: translateX(10px);}

.unit-btn-img{overflow: hidden;}
.unit-btn-img > img{width : 100%;height : 100%; object-fit: cover; object-position: cewnter; transition : 3s;}
.unit-btn:hover .unit-btn-img > img{transform: scale(1.2);}

.unit-rotate-btn{display: flex;align-items: center;justify-content: center; width : 84px;height : 84px; background: #D8C497; border-radius: 50%; position : absolute; right : 0;top : 0;  opacity: 0; transform: translateX(50%) translateY(-50%) scale(0.5);transition : .7s;}

.unit-btn:hover .unit-rotate-btn{opacity: 1; transform: translateX(50%) translateY(-50%) scale(1);}

.unit-rotate-btn::after{position : absolute;content : ''; width : 132px;height : 132px; background: url(../images/main/unit-rotate-text.png)no-repeat center / contain;animation : rotate-text 8s infinite linear}
@keyframes rotate-text {
    100%{transform: rotate(360deg);}
}


/* LOCATION */
.main-section-location{overflow:hidden;}
.location-bg{position:absolute;left:0;top:0;width:100%;height:100%;overflow:hidden;z-index:-1;}
.location-bg > img{width:100%;height:100%;object-fit:cover;object-position:center;transform:scale(1.4);transition:transform 0s 1.2s;}
.fp-active .location-bg > img{transform:scale(1);transition:transform 4s;}
.location-inner{display:flex;flex-direction:column;justify-content:flex-end;align-items:center;height:100%;}
.location-tit-box{display:flex;flex-direction:column;align-items:flex-start;position:absolute;left:128px;top:186px;}
.location-tit{font-family:"trajan-pro-3";font-size:65px;font-weight:bold;line-height:91px;color:#BE9F6D;}
.location-tit .char{opacity:0;}
.location-desc{font-size:20px;font-weight:bold;letter-spacing:-0.06em;color:#000;opacity:0;transform:translateY(100px);transition:opacity 1s .4s,transform 1s .4s;}
.fp-active .location-desc{padding-left:5px;opacity:1;transform:translateY(0);transition:opacity 1s 1.3s,transform 1s 1.3s;}
.location-container{display:flex;align-items:flex-end;gap:135px;}
.location-left{padding-bottom:176px;}
.location-map{position:relative;opacity:0;transition:opacity 1s;}
.fp-active .location-map{opacity:1;transition-delay:1.3s;}
.location-address-box{display:flex;flex-direction:column;align-items:flex-start;width:552px;}
.location-address-box::after{content:'';opacity:0;width:0;height:1px;background:#707070;margin-top:12px;transition:1.5s;}
.location-address-box + .location-address-box{margin-top:47px;}
.fp-active .location-address-box::after{width:100%;opacity:1;transition-delay:1s;}
.location-name{position:relative;margin-right:33px;opacity:0;transition:opacity 1s;}
.fp-active .location-name{transform:translateX(0);opacity:1;transition:opacity 1s 1.5s,transform 1s 1.3s;}
.location-address-tit{font-size:25px;font-weight:700;letter-spacing:-0.04em;color:#453630;}
.location-address{font-size:16px;font-weight:700;letter-spacing:-0.04em;color:#453630;margin-top:8px;}
.location-btn-box{display:flex;gap:35px;margin-top:10px;margin-left:auto;transform:translateX(50px);opacity:0;transition:opacity 1s,transform 1s;}
.fp-active .location-btn-box{transform:translateX(0);opacity:1;transition:opacity 1s 1.5s,transform 1s 1.3s;}
